<template>
    <div class="device-warning">
        <span class="title">设备告警状态</span>
        <div class="warning-item-container">
            <div
                v-for="(item, index) in waringList"
                :key="index"
                class="warning-item"
            >
                <span>{{ item.title }}</span>
                <span v-if="item.status">
                    <img
                        :src="getImage('/device-overview/normal.png')"
                        alt=""
                    />
                    <span class="normal">正常</span>
                </span>
                <span v-else>
                    <img
                        :src="getImage('/device-overview/warning.png')"
                        alt=""
                    />
                    <span class="warning">告警</span>
                </span>
            </div>
        </div>
    </div>
</template>
<script lang="ts" name="DeviceWarning" setup>
import { getImage } from '@/utils/comm';
const waringList = ref<any>([]);

onMounted(() => {
    waringList.value = [
        {
            title: '回风高温告警',
            status: 0,
        },
        {
            title: '回风低温温告警',
            status: 1,
        },
        {
            title: '送风高温告警',
            status: 0,
        },
        {
            title: '送风低温温告警',
            status: 1,
        },
        {
            title: '回风高温告警',
            status: 0,
        },
        {
            title: '回风低温温告警',
            status: 1,
        },
        {
            title: '送风高温告警',
            status: 0,
        },
        {
            title: '送风低温温告警',
            status: 1,
        },
    ];
});

// const props = defineProps({});
</script>
<style scoped lang="less">
.device-warning {
    width: 100%;
    height: 100%;
    padding: 24px 16px;
    background: #ffffff;
    box-shadow: 0px 2px 6px 0px #cccccc;
    border-radius: 4px 4px 4px 4px;
    .title {
        font-size: 24px;
        font-family: PingFang SC-Bold, PingFang SC;
        font-weight: bold;
        color: #4f4f4f;
        line-height: 23px;
        margin-right: 8px;
    }
    .warning-item-container {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-around;
        padding: 16px;
        .warning-item {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 8px;
            margin-bottom: 16px;
            width: calc(25% - 20px);
            min-width: 200px;
            height: 40px;
            background: #ffffff;
            box-shadow: 0px 0px 4px 0px rgba(0, 0, 0, 0.1);
            border-radius: 4px 4px 4px 4px;
            font-size: 14px;
            font-family: PingFang SC-Medium, PingFang SC;
            font-weight: 500;
            color: #333333;
            line-height: 26px;

            img {
                width: 12px;
                height: 12px;
            }
            .warning {
                font-size: 12px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #fa3e2e;
                line-height: 12px;
            }
            .normal {
                font-size: 12px;
                font-family: PingFang SC-Medium, PingFang SC;
                font-weight: 500;
                color: #15c646;
                line-height: 12px;
            }
        }
    }
}
</style>
